Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 973)
+++ inc/admin/lib.dc.page.php	(revision 782)
@@ -124,5 +124,5 @@
 		
 		'<div id="header">'.
-		'<ul id="prelude"><li><a href="#content">'.__('Go to the content').'</a></li><li><a href="#main-menu">'.__('Go to the menu').'</a></li></ul>'."\n".
+		'<ul id="prelude"><li><a href="#content">Aller au contenu</a></li><li><a href="#main-menu">Aller au menu</a></li></ul>'."\n".
 		'<div id="top"><h1><a href="index.php">'.DC_VENDOR_NAME.'</a></h1></div>'."\n";	
 		
@@ -159,5 +159,5 @@
 		if ($core->error->flag()) {
 			echo
-			'<div class="error"><p><strong>'.(count($core->error->getErrors()) > 1 ? __('Errors:') : __('Error:')).'</p></strong>'.
+			'<div class="error"><strong>'.__('Errors:').'</strong>'.
 			$core->error->toHTML().
 			'</div>';
@@ -167,6 +167,4 @@
 	public static function close()
 	{
-		global $core;
-
 		$menu =& $GLOBALS['_menu'];
 		
@@ -181,12 +179,9 @@
 		}
 		
-		$text = sprintf(__('Thank you for using %s.'),'<a href="http://dotclear.org/">Dotclear '.DC_VERSION.'</a>');
-
-		# --BEHAVIOR-- adminPageFooter
-		$textAlt = $core->callBehavior('adminPageFooter',$core,$text);
-
 		echo
 		'</div>'."\n".		// End of #main-menu
-		'<div id="footer"><p>'.($textAlt != '' ? $textAlt : $text).'</p></div>'."\n".
+		'<div id="footer"><p>'.
+		sprintf(__('Thank you for using %s.'),'<a href="http://dotclear.org/">Dotclear '.DC_VERSION.'</a>').
+		'</p></div>'."\n".
 		"</div>\n";		// End of #wrapper
 		
@@ -259,20 +254,4 @@
 		"</div>\n".		// End of #wrapper
 		'</body></html>';
-	}
-
-	public static function message($msg,$timestamp=true,$div=false,$echo=true)
-	{
-		global $core;
-		
-		$res = '';
-		if ($msg != '') {
-			$res = ($div ? '<div class="message">' : '').'<p'.($div ? '' : ' class="message"').'>'.
-				($timestamp ? dt::str(__('%H:%M:%S:'),null,$core->auth->getInfo('user_tz')).' ' : '').$msg.
-				'</p>'.($div ? '</div>' : '');
-			if ($echo) {
-				echo $res;
-			}
-		}
-		return $res;
 	}
 	
@@ -391,5 +370,4 @@
 		self::jsLoad('js/jquery/jquery.biscuit.js').
 		self::jsLoad('js/jquery/jquery.bgFade.js').
-		self::jsLoad('js/jquery/jquery.constantfooter.js').
 		self::jsLoad('js/common.js').
 		self::jsLoad('js/prelude.js').
@@ -537,4 +515,11 @@
 	}
 	
+	public static function jqueryUI()
+	{
+		return
+		'<link rel="stylesheet" type="text/css" href="style/jquery-ui-1.8.16.custom.css" />'."\n".
+		self::jsLoad('js/jquery/jquery-ui-1.8.16.custom.min.js');
+	}
+
 	public static function jsColorPicker()
 	{
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 860)
+++ inc/admin/lib.pager.php	(revision 782)
@@ -12,4 +12,12 @@
 if (!defined('DC_RC_PATH')) { return; }
 
+/**
+@ingroup DC_CORE
+@nosubgrouping
+@brief Dotclear generic list class.
+@deprecated Please use class adminItemslist to create admin lists
+
+Dotclear generic list handles every admin list.
+*/
 class adminGenericList
 {
@@ -18,6 +26,17 @@
 	protected $rs_count;
 	
+	/**
+	@deprecated Please use class adminItemslist to create admin lists
+	
+	@param	core		<b>dcCore</b>		dcCore object
+	@param	rs		<b>recordSet</b>	Items recordSet to display
+	@param	rs_count	<b>int</b>		Total items number
+	*/
 	public function __construct($core,$rs,$rs_count)
 	{
+		// For backward compatibility only: the developer tried to create
+		// a list with the old constructor.
+		ob_start($this->raiseDeprecated(get_class($this)));
+		
 		$this->core =& $core;
 		$this->rs =& $rs;
@@ -26,395 +45,23 @@
 		$this->html_next = __('next&#187;');
 	}
-}
-
-class adminPostList extends adminGenericList
-{
-	public function display($page,$nb_per_page,$enclose_block='')
+	
+	/**
+	Raises a E_USER_NOTICE error for deprecated classes. 
+	This allows the developer to know he's been using deprecated classes.
+	
+	@param	name	<b>string</b>	Name of the deprecated classes that was called.
+	*/
+	private function raiseDeprecated($name)
 	{
-		if ($this->rs->isEmpty())
-		{
-			echo '<p><strong>'.__('No entry').'</strong></p>';
+		if (DC_DEBUG) {
+			$trace = debug_backtrace();
+			array_shift($trace);
+			$grand = array_shift($trace);
+			$msg = 'Deprecated class called. (';
+			$msg .= $name.' was called from '.$grand['file'].' ['.$grand['line'].'])';
+			trigger_error($msg, E_USER_NOTICE);
 		}
-		else
-		{
-			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
-			$pager->html_prev = $this->html_prev;
-			$pager->html_next = $this->html_next;
-			$pager->var_page = 'page';
-			
-			$html_block =
-			'<table class="clear"><tr>'.
-			'<th colspan="2">'.__('Title').'</th>'.
-			'<th>'.__('Date').'</th>'.
-			'<th>'.__('Category').'</th>'.
-			'<th>'.__('Author').'</th>'.
-			'<th>'.__('Comments').'</th>'.
-			'<th>'.__('Trackbacks').'</th>'.
-			'<th>'.__('Status').'</th>'.
-			'</tr>%s</table>';
-			
-			if ($enclose_block) {
-				$html_block = sprintf($enclose_block,$html_block);
-			}
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-			
-			$blocks = explode('%s',$html_block);
-			
-			echo $blocks[0];
-			
-			while ($this->rs->fetch())
-			{
-				echo $this->postLine();
-			}
-			
-			echo $blocks[1];
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-		}
-	}
-	
-	private function postLine()
-	{
-		if ($this->core->auth->check('categories',$this->core->blog->id)) {
-			$cat_link = '<a href="category.php?id=%s">%s</a>';
-		} else {
-			$cat_link = '%2$s';
-		}
-		
-		if ($this->rs->cat_title) {
-			$cat_title = sprintf($cat_link,$this->rs->cat_id,
-			html::escapeHTML($this->rs->cat_title));
-		} else {
-			$cat_title = __('None');
-		}
-		
-		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
-		switch ($this->rs->post_status) {
-			case 1:
-				$img_status = sprintf($img,__('published'),'check-on.png');
-				break;
-			case 0:
-				$img_status = sprintf($img,__('unpublished'),'check-off.png');
-				break;
-			case -1:
-				$img_status = sprintf($img,__('scheduled'),'scheduled.png');
-				break;
-			case -2:
-				$img_status = sprintf($img,__('pending'),'check-wrn.png');
-				break;
-		}
-		
-		$protected = '';
-		if ($this->rs->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
-		}
-		
-		$selected = '';
-		if ($this->rs->post_selected) {
-			$selected = sprintf($img,__('selected'),'selected.png');
-		}
-		
-		$attach = '';
-		$nb_media = $this->rs->countMedia();
-		if ($nb_media > 0) {
-			$attach_str = $nb_media == 1 ? __('%d attachment') : __('%d attachments');
-			$attach = sprintf($img,sprintf($attach_str,$nb_media),'attach.png');
-		}
-		
-		$res = '<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
-		' id="p'.$this->rs->post_id.'">';
-		
-		$res .=
-		'<td class="nowrap">'.
-		form::checkbox(array('entries[]'),$this->rs->post_id,'','','',!$this->rs->isEditable()).'</td>'.
-		'<td class="maximal"><a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
-		html::escapeHTML($this->rs->post_title).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
-		'<td class="nowrap">'.$cat_title.'</td>'.
-		'<td class="nowrap">'.$this->rs->user_id.'</td>'.
-		'<td class="nowrap">'.$this->rs->nb_comment.'</td>'.
-		'<td class="nowrap">'.$this->rs->nb_trackback.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
-		'</tr>';
-		
-		return $res;
 	}
 }
 
-class adminPostMiniList extends adminGenericList
-{
-	public function display($page,$nb_per_page,$enclose_block='')
-	{
-		if ($this->rs->isEmpty())
-		{
-			echo '<p><strong>'.__('No entry').'</strong></p>';
-		}
-		else
-		{
-			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
-			$pager->html_prev = $this->html_prev;
-			$pager->html_next = $this->html_next;
-			$pager->var_page = 'page';
-			
-			$html_block =
-			'<table class="clear"><tr>'.
-			'<th>'.__('Title').'</th>'.
-			'<th>'.__('Date').'</th>'.
-			'<th>'.__('Author').'</th>'.
-			'<th>'.__('Status').'</th>'.
-			'</tr>%s</table>';
-			
-			if ($enclose_block) {
-				$html_block = sprintf($enclose_block,$html_block);
-			}
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-			
-			$blocks = explode('%s',$html_block);
-			
-			echo $blocks[0];
-			
-			while ($this->rs->fetch())
-			{
-				echo $this->postLine();
-			}
-			
-			echo $blocks[1];
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-		}
-	}
-	
-	private function postLine()
-	{
-		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
-		switch ($this->rs->post_status) {
-			case 1:
-				$img_status = sprintf($img,__('published'),'check-on.png');
-				break;
-			case 0:
-				$img_status = sprintf($img,__('unpublished'),'check-off.png');
-				break;
-			case -1:
-				$img_status = sprintf($img,__('scheduled'),'scheduled.png');
-				break;
-			case -2:
-				$img_status = sprintf($img,__('pending'),'check-wrn.png');
-				break;
-		}
-		
-		$protected = '';
-		if ($this->rs->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
-		}
-		
-		$selected = '';
-		if ($this->rs->post_selected) {
-			$selected = sprintf($img,__('selected'),'selected.png');
-		}
-		
-		$attach = '';
-		$nb_media = $this->rs->countMedia();
-		if ($nb_media > 0) {
-			$attach_str = $nb_media == 1 ? __('%d attachment') : __('%d attachments');
-			$attach = sprintf($img,sprintf($attach_str,$nb_media),'attach.png');
-		}
-		
-		$res = '<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
-		' id="p'.$this->rs->post_id.'">';
-		
-		$res .=
-		'<td class="maximal"><a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'" '.
-		'title="'.html::escapeHTML($this->rs->getURL()).'">'.
-		html::escapeHTML($this->rs->post_title).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
-		'<td class="nowrap">'.$this->rs->user_id.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
-		'</tr>';
-		
-		return $res;
-	}
-}
-
-class adminCommentList extends adminGenericList
-{
-	public function display($page,$nb_per_page,$enclose_block='')
-	{
-		if ($this->rs->isEmpty())
-		{
-			echo '<p><strong>'.__('No comment').'</strong></p>';
-		}
-		else
-		{
-			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
-			$pager->html_prev = $this->html_prev;
-			$pager->html_next = $this->html_next;
-			$pager->var_page = 'page';
-			
-			$html_block =
-			'<table><tr>'.
-			'<th colspan="2">'.__('Title').'</th>'.
-			'<th>'.__('Date').'</th>'.
-			'<th>'.__('Author').'</th>'.
-			'<th>'.__('Type').'</th>'.
-			'<th>'.__('Status').'</th>'.
-			'<th>&nbsp;</th>'.
-			'</tr>%s</table>';
-			
-			if ($enclose_block) {
-				$html_block = sprintf($enclose_block,$html_block);
-			}
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-			
-			$blocks = explode('%s',$html_block);
-			
-			echo $blocks[0];
-			
-			while ($this->rs->fetch())
-			{
-				echo $this->commentLine();
-			}
-			
-			echo $blocks[1];
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-		}
-	}
-	
-	private function commentLine()
-	{
-		global $author, $status, $sortby, $order, $nb_per_page;
-		
-		$author_url =
-		'comments.php?n='.$nb_per_page.
-		'&amp;status='.$status.
-		'&amp;sortby='.$sortby.
-		'&amp;order='.$order.
-		'&amp;author='.rawurlencode($this->rs->comment_author);
-		
-		$post_url = $this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id);
-		
-		$comment_url = 'comment.php?id='.$this->rs->comment_id;
-		
-		$comment_dt =
-		dt::dt2str($this->core->blog->settings->system->date_format.' - '.
-		$this->core->blog->settings->system->time_format,$this->rs->comment_dt);
-		
-		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
-		switch ($this->rs->comment_status) {
-			case 1:
-				$img_status = sprintf($img,__('published'),'check-on.png');
-				break;
-			case 0:
-				$img_status = sprintf($img,__('unpublished'),'check-off.png');
-				break;
-			case -1:
-				$img_status = sprintf($img,__('pending'),'check-wrn.png');
-				break;
-			case -2:
-				$img_status = sprintf($img,__('junk'),'junk.png');
-				break;
-		}
-		
-		$comment_author = html::escapeHTML($this->rs->comment_author);
-		if (mb_strlen($comment_author) > 20) {
-			$comment_author = mb_strcut($comment_author,0,17).'...';
-		}
-		
-		$res = '<tr class="line'.($this->rs->comment_status != 1 ? ' offline' : '').'"'.
-		' id="c'.$this->rs->comment_id.'">';
-		
-		$res .=
-		'<td class="nowrap">'.
-		form::checkbox(array('comments[]'),$this->rs->comment_id,'','','',0).'</td>'.
-		'<td class="maximal"><a href="'.$post_url.'">'.
-		html::escapeHTML($this->rs->post_title).'</a>'.
-		($this->rs->post_type != 'post' ? ' ('.html::escapeHTML($this->rs->post_type).')' : '').'</td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->comment_dt).'</td>'.
-		'<td class="nowrap"><a href="'.$author_url.'">'.$comment_author.'</a></td>'.
-		'<td class="nowrap">'.($this->rs->comment_trackback ? __('trackback') : __('comment')).'</td>'.
-		'<td class="nowrap status">'.$img_status.'</td>'.
-		'<td class="nowrap status"><a href="'.$comment_url.'">'.
-		'<img src="images/edit-mini.png" alt="" title="'.__('Edit this comment').'" /></a></td>';
-		
-		$res .= '</tr>';
-		
-		return $res;
-	}
-}
-
-class adminUserList extends adminGenericList
-{
-	public function display($page,$nb_per_page,$enclose_block='')
-	{
-		if ($this->rs->isEmpty())
-		{
-			echo '<p><strong>'.__('No user').'</strong></p>';
-		}
-		else
-		{
-			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
-			$pager->html_prev = $this->html_prev;
-			$pager->html_next = $this->html_next;
-			$pager->var_page = 'page';
-			
-			$html_block =
-			'<table class="clear"><tr>'.
-			'<th colspan="2">'.__('Username').'</th>'.
-			'<th>'.__('First Name').'</th>'.
-			'<th>'.__('Last Name').'</th>'.
-			'<th>'.__('Display name').'</th>'.
-			'<th class="nowrap">'.__('Entries').'</th>'.
-			'</tr>%s</table>';
-			
-			if ($enclose_block) {
-				$html_block = sprintf($enclose_block,$html_block);
-			}
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-			
-			$blocks = explode('%s',$html_block);
-			
-			echo $blocks[0];
-			
-			while ($this->rs->fetch())
-			{
-				echo $this->userLine();
-			}
-			
-			echo $blocks[1];
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-		}
-	}
-	
-	private function userLine()
-	{
-		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
-		$img_status = '';
-		
-		$p = $this->core->getUserPermissions($this->rs->user_id);
-		
-		if (isset($p[$this->core->blog->id]['p']['admin'])) {
-			$img_status = sprintf($img,__('admin'),'admin.png');
-		}
-		if ($this->rs->user_super) {
-			$img_status = sprintf($img,__('superadmin'),'superadmin.png');
-		}
-		return
-		'<tr class="line">'.
-		'<td class="nowrap">'.form::hidden(array('nb_post[]'),(integer) $this->rs->nb_post).
-		form::checkbox(array('users[]'),$this->rs->user_id).'</td>'.
-		'<td class="maximal"><a href="user.php?id='.$this->rs->user_id.'">'.
-		$this->rs->user_id.'</a>&nbsp;'.$img_status.'</td>'.
-		'<td class="nowrap">'.$this->rs->user_firstname.'</td>'.
-		'<td class="nowrap">'.$this->rs->user_name.'</td>'.
-		'<td class="nowrap">'.$this->rs->user_displayname.'</td>'.
-		'<td class="nowrap"><a href="posts.php?user_id='.$this->rs->user_id.'">'.
-		$this->rs->nb_post.'</a></td>'.
-		'</tr>';
-	}
-}
 ?>
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 962)
+++ inc/admin/prepend.php	(revision 692)
@@ -37,5 +37,5 @@
 function dc_prepare_url($url) {
 
-	$u = str_replace(array('?','&amp;','/'),array('\?','&','\\/'),$url);
+	$u = str_replace(array('?','&amp;'),array('\?','&'),$url);
 	return (!strpos($u,'\?') ? 
 		'/'.$u.'$/' :
@@ -55,5 +55,4 @@
 	}
 	l10n::set(dirname(__FILE__).'/../../locales/'.$_lang.'/main');
-	l10n::set(dirname(__FILE__).'/../../locales/'.$_lang.'/public');
 	l10n::set(dirname(__FILE__).'/../../locales/'.$_lang.'/plugins');
 }
@@ -216,7 +215,4 @@
 	}
 	unset($hfiles,$locales_root);
-
-	$core->auth->user_prefs->addWorkspace('interface');
-	$user_ui_nofavmenu = $core->auth->user_prefs->interface->nofavmenu;
 
 	# Standard favorites
@@ -270,6 +266,5 @@
 	# Menus creation
 	$_menu['Dashboard'] = new dcMenu('dashboard-menu',null);
-	if (!$user_ui_nofavmenu)
-		$_menu['Favorites'] = new dcMenu('favorites-menu','My favorites');
+	$_menu['Favorites'] = new dcMenu('favorites-menu','My favorites');
 	$_menu['Blog'] = new dcMenu('blog-menu','Blog');
 	$_menu['System'] = new dcMenu('system-menu','System');
@@ -287,6 +282,5 @@
 	$_menu['Blog']->title = __('Blog');
 	$_menu['Plugins']->title = __('Plugins');
-	if (!$user_ui_nofavmenu)
-		$_menu['Favorites']->title = __('My favorites');
+	$_menu['Favorites']->title = __('My favorites');
 
 /*	
@@ -339,38 +333,36 @@
 		$core->auth->check('usage,contentadmin',$core->blog->id) && $core->auth->blog_count > 1);
 
-	if (!$user_ui_nofavmenu) {
-		// Set favorites menu
-		$ws = $core->auth->user_prefs->addWorkspace('favorites');
-		$count = 0;
+	// Set favorites menu
+	$ws = $core->auth->user_prefs->addWorkspace('favorites');
+	$count = 0;
+	foreach ($ws->dumpPrefs() as $k => $v) {
+		// User favorites only
+		if (!$v['global']) {
+			$fav = unserialize($v['value']);
+			if (dc_valid_fav($fav['url'])) {
+				$count++;
+				$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
+					preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
+					(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
+			}
+		}
+	}	
+	if (!$count) {
+		// Global favorites if any
 		foreach ($ws->dumpPrefs() as $k => $v) {
-			// User favorites only
-			if (!$v['global']) {
-				$fav = unserialize($v['value']);
-				if (dc_valid_fav($fav['url'])) {
-					$count++;
-					$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
-						preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
-						(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-				}
-			}
-		}	
-		if (!$count) {
-			// Global favorites if any
-			foreach ($ws->dumpPrefs() as $k => $v) {
-				$fav = unserialize($v['value']);
-				if (dc_valid_fav($fav['url'])) {
-					$count++;
-					$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
-						preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
-						(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-				}
-			}
-		}
-		if (!$count) {
-			// No user or global favorites, add "new entry" fav
-			$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
-				preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
-				$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
-		}
+			$fav = unserialize($v['value']);
+			if (dc_valid_fav($fav['url'])) {
+				$count++;
+				$_menu['Favorites']->addItem(__($fav['title']),$fav['url'],$fav['small-icon'],
+					preg_match(dc_prepare_url($fav['url']),$_SERVER['REQUEST_URI']),
+					(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
+			}
+		}
+	}
+	if (!$count) {
+		// No user or global favorites, add "new entry" fav
+		$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
+			preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
+			$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
 	}
 }
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 970)
+++ inc/core/class.dc.blog.php	(revision 782)
@@ -106,4 +106,22 @@
 	}
 	
+	/**
+	Returns sql statement for a given parameter. 
+	Computes in() or not_in lists in parameter
+
+	@param	params	<b>array</b> query parameters
+	@param	param_name	<b>array</b> parameter to check
+	@param	sql column	<b>array</b> sql column matching parameter name
+	
+	@return	<b>string</b> the generated SQL statement
+	*/
+	protected function getInParamStr($params, $param_name, $sql_column) {
+		$not='';
+		if (isset($params[$param_name.'_not'])) {
+			$not = "NOT ";
+		}
+		return $sql_column.' '.$not.$this->con->in($params[$param_name]).' ';
+	}
+	
 	/// @name Common public methods
 	//@{
@@ -317,5 +335,5 @@
 		
 		# We need to apply filter after counting
-		if (isset($params['cat_id']) && $params['cat_id'] !== '')
+		if (!empty($params['cat_id']))
 		{
 			$found = false;
@@ -332,6 +350,5 @@
 		}
 		
-		if (isset($params['cat_url']) && ($params['cat_url'] !== '') 
-			&& !isset($params['cat_id']))
+		if (!empty($params['cat_url']) && empty($params['cat_id']))
 		{
 			$found = false;
@@ -580,5 +597,5 @@
 	{
 		if (!$this->core->auth->check('categories',$this->id)) {
-			throw new Exception(__('You are not allowed to reset categories order'));
+			throw new Exception(__('You are not allowed to delete categories'));
 		}
 		
@@ -670,8 +687,4 @@
 	public function getPosts($params=array(),$count_only=false)
 	{
-		# --BEHAVIOR-- coreBlogBeforeGetPosts
-		$params = new ArrayObject($params);
-		$this->core->callBehavior('coreBlogBeforeGetPosts',$params);
-
 		if ($count_only)
 		{
@@ -746,5 +759,5 @@
 		}
 		
-		if (isset($params['post_id']) && $params['post_id'] !== '') {
+		if (!empty($params['post_id'])) {
 			if (is_array($params['post_id'])) {
 				array_walk($params['post_id'],create_function('&$v,$k','if($v!==null){$v=(integer)$v;}'));
@@ -755,13 +768,13 @@
 		}
 		
-		if (isset($params['post_url']) && $params['post_url'] !== '') {
+		if (!empty($params['post_url'])) {
 			$strReq .= "AND post_url = '".$this->con->escape($params['post_url'])."' ";
 		}
 		
 		if (!empty($params['user_id'])) {
-			$strReq .= "AND U.user_id = '".$this->con->escape($params['user_id'])."' ";
-		}
-		
-		if (isset($params['cat_id']) && $params['cat_id'] !== '')
+			$strReq .= 'AND '.$this->getInParamStr($params,'user_id','U.user_id');
+		}
+		
+		if (!empty($params['cat_id']))
 		{
 			if (!is_array($params['cat_id'])) {
@@ -773,5 +786,5 @@
 			$strReq .= 'AND '.$this->getPostsCategoryFilter($params['cat_id'],'cat_id').' ';
 		}
-		elseif (isset($params['cat_url']) && $params['cat_url'] !== '')
+		elseif (!empty($params['cat_url']))
 		{
 			if (!is_array($params['cat_url'])) {
@@ -786,5 +799,5 @@
 		/* Other filters */
 		if (isset($params['post_status'])) {
-			$strReq .= 'AND post_status = '.(integer) $params['post_status'].' ';
+			$strReq .= 'AND '.$this->getInParamStr($params,'post_status','post_status');
 		}
 		
@@ -809,5 +822,5 @@
 		
 		if (!empty($params['post_lang'])) {
-			$strReq .= "AND P.post_lang = '".$this->con->escape($params['post_lang'])."' ";
+			$strReq .= 'AND '.$this->getInParamStr($params,'post_lang','P.post_lang');
 		}
 		
@@ -1010,8 +1023,8 @@
 		$cat_field = $catReq = $limit = '';
 		
-		if (isset($params['cat_id']) && $params['cat_id'] !== '') {
+		if (!empty($params['cat_id'])) {
 			$catReq = 'AND P.cat_id = '.(integer) $params['cat_id'].' ';
 			$cat_field = ', C.cat_url ';
-		} elseif (isset($params['cat_url']) && $params['cat_url'] !== '') {
+		} elseif (!empty($params['cat_url'])) {
 			$catReq = "AND C.cat_url = '".$this->con->escape($params['cat_url'])."' ";
 			$cat_field = ', C.cat_url ';
@@ -1393,6 +1406,6 @@
 		
 		$now = dt::toUTC(time());
-		$to_change = new ArrayObject();
-
+		$to_change = array();
+		
 		if ($rs->isEmpty()) {
 			return;
@@ -1412,21 +1425,16 @@
 			}
 		}
-		if (count($to_change))
-		{
-			# --BEHAVIOR-- coreBeforeScheduledEntriesPublish
-			$this->core->callBehavior('coreBeforeScheduledEntriesPublish',$this,$to_change);
-
+		
+		if (!empty($to_change))
+		{
 			$strReq =
 			'UPDATE '.$this->prefix.'post SET '.
 			'post_status = 1 '.
 			"WHERE blog_id = '".$this->con->escape($this->id)."' ".
-			'AND post_id '.$this->con->in((array)$to_change).' ';
+			'AND post_id '.$this->con->in($to_change).' ';
+			
 			$this->con->execute($strReq);
 			$this->triggerBlog();
-
-			# --BEHAVIOR-- coreAfterScheduledEntriesPublish
-			$this->core->callBehavior('coreAfterScheduledEntriesPublish',$this,$to_change);
-		}
-		
+		}
 	}
 	
@@ -1457,5 +1465,4 @@
 	{
 		$field = $field == 'cat_id' ? 'cat_id' : 'cat_url';
-		
 		$sub = array();
 		$not = array();
@@ -1471,7 +1478,11 @@
 			if (isset($args['not'])) { $not[$id] = 1; }
 			if (isset($args['sub'])) { $sub[$id] = 1; }
+			$nullExcluded = false;
 			if ($field == 'cat_id') {
 				if (preg_match('/^null$/i',$id)) {
 					$queries[$id] = 'P.cat_id IS NULL';
+					if (isset($not[$id]) && ($not[$id] == 1)) {
+						$nullExcluded = true;
+					}
 				}
 				else {
@@ -1515,9 +1526,12 @@
 		
 		if ($sql[1]) {
-			$sql[1] = '(P.cat_id IS NULL OR NOT('.$sql[1].'))';
+			if ($nullExcluded) {
+				$sql[1] = 'NOT('.$sql[1].')';
+			} else {
+				$sql[1] = '(P.cat_id IS NULL OR NOT('.$sql[1].'))';
+			}
 		} else {
 			unset($sql[1]);
 		}
-		
 		return implode(' AND ',$sql);
 	}
@@ -1598,19 +1612,4 @@
 			$this->core->initWikiPost();
 			$this->core->wiki2xhtml->setOpt('note_prefix','pnote-'.$post_id);
-			switch ($this->settings->system->note_title_tag) {
-				case 1:
-					$tag = 'h3';
-					break;
-				case 2:
-					$tag = 'p';
-					break;
-				default:
-					$tag = 'h4';
-					break;
-			}
-			$this->core->wiki2xhtml->setOpt('note_str','<div class="footnotes"><'.$tag.' class="footnotes-title">'.
-				__('Notes').'</'.$tag.'>%s</div>');
-			$this->core->wiki2xhtml->setOpt('note_str_single','<div class="footnotes"><'.$tag.' class="footnotes-title">'.
-				__('Note').'</'.$tag.'>%s</div>');
 			if (strpos($lang,'fr') === 0) {
 				$this->core->wiki2xhtml->setOpt('active_fr_syntax',1);
@@ -1820,21 +1819,20 @@
 		}
 		
-		if (isset($params['post_id']) && $params['post_id'] !== '') {
+		if (!empty($params['post_id'])) {
 			$strReq .= 'AND P.post_id = '.(integer) $params['post_id'].' ';
 		}
 		
-		if (isset($params['cat_id']) && $params['cat_id'] !== '') {
+		if (!empty($params['cat_id'])) {
 			$strReq .= 'AND P.cat_id = '.(integer) $params['cat_id'].' ';
 		}
 		
-		if (isset($params['comment_id']) && $params['comment_id'] !== '') {
+		if (!empty($params['comment_id'])) {
 			$strReq .= 'AND comment_id = '.(integer) $params['comment_id'].' ';
 		}
 		
 		if (isset($params['comment_status'])) {
-			$strReq .= 'AND comment_status = '.(integer) $params['comment_status'].' ';
-		}
-		
-		if (!empty($params['comment_status_not']))
+			$strReq .= 'AND '.$this->getInParamStr($params,'comment_status','comment_status');
+		} 
+		elseif (!empty($params['comment_status_not'])) // older method, deprecated
 		{
 			$strReq .= 'AND comment_status <> '.(integer) $params['comment_status_not'].' ';
@@ -1852,4 +1850,7 @@
 			$q_author = $this->con->escape(str_replace('*','%',strtolower($params['q_author'])));
 			$strReq .= "AND LOWER(comment_author) LIKE '".$q_author."' ";
+		}
+		if (isset($params['comment_author'])) {
+			$strReq .= "AND comment_author ".$this->con->in($params['comment_author']).' ';
 		}
 		
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 909)
+++ inc/core/class.dc.media.php	(revision 771)
@@ -912,7 +912,6 @@
 					($suffix == 'sq' || $w > $s[0] || $h > $s[0]))
 				{
-					$rate = ($s[0] < 100 ? 95 : ($s[0] < 600 ? 90 : 85));
 					$img->resize($s[0],$s[0],$s[1]);
-					$img->output('jpeg',$thumb_file,$rate);
+					$img->output('jpeg',$thumb_file,80);
 				}
 			}
Index: inc/core/class.dc.namespace.php
===================================================================
--- inc/core/class.dc.namespace.php	(revision 934)
+++ inc/core/class.dc.namespace.php	(revision 270)
@@ -259,37 +259,7 @@
 		}
 	}
-
-	/**
-	Rename an existing setting in a Namespace
-
-	@param 	$oldId 	<b>string</b> 	Current setting name
-	@param 	$newId 	<b>string</b> 	New setting name
-	@return 	<b>boolean</b>
-	*/
-	public function rename($oldId,$newId)
-	{
-		if (!$this->ns) {
-			throw new Exception(__('No namespace specified'));
-		}
-		
-		if (!array_key_exists($oldId,$this->settings) || array_key_exists($newId,$this->settings)) {
-			return false;
-		}
-
-		// Rename the setting in the settings array
-		$this->settings[$newId] = $this->settings[$oldId];
-		unset($this->settings[$oldId]);
-
-		// Rename the setting in the database
-		$strReq = 'UPDATE '.$this->table.
-			" SET setting_id = '".$this->con->escape($newId)."' ".
-			" WHERE setting_ns = '".$this->con->escape($this->ns)."' ".
-			" AND setting_id = '".$this->con->escape($oldId)."' ";
-		$this->con->execute($strReq);
-		return true;
-	}
-
-	/**
-	Removes an existing setting in a Namespace 
+	
+	/**
+	Removes an existing setting. Namespace 
 	
 	@param	id		<b>string</b>		Setting ID
@@ -316,37 +286,4 @@
 	
 	/**
-	Removes all existing settings in a Namespace 
-	
-	@param	force_global	<b>boolean</b>	Force global pref drop
-	*/
-	public function dropAll($force_global=false)
-	{
-		if (!$this->ns) {
-			throw new Exception(__('No namespace specified'));
-		}
-		
-		$strReq =	'DELETE FROM '.$this->table.' ';
-		
-		if (($force_global) || ($this->blog_id === null)) {
-			$strReq .= 'WHERE blog_id IS NULL ';
-			$global = true;
-		} else {
-			$strReq .= "WHERE blog_id = '".$this->con->escape($this->blog_id)."' ";
-			$global = false;
-		}
-		
-		$strReq .= "AND setting_ns = '".$this->con->escape($this->ns)."' ";
-		
-		$this->con->execute($strReq);
-		
-		$array = $global ? 'global' : 'local';
-		unset($this->{$array.'_settings'});
-		$this->{$array.'_settings'} = array();
-		
-		$array = $global ? 'local' : 'global';
-		$this->settings = $this->{$array.'_settings'};
-	}
-	
-	/**
 	Returns $settings property content.
 	
Index: inc/core/class.dc.prefs.php
===================================================================
--- inc/core/class.dc.prefs.php	(revision 934)
+++ inc/core/class.dc.prefs.php	(revision 147)
@@ -98,51 +98,4 @@
 	
 	/**
-	Rename a workspace.
-
-	@param	oldWs 	<b>string</b> 	Old workspace name
-	@param	newws 	<b>string</b> 	New workspace name
-	@return 	<b>boolean</b>
-	*/
-	public function renWorkspace($oldNs,$newNs)
-	{
-		if (!array_key_exists($oldWs, $this->workspaces) || array_key_exists($newWs, $this->workspaces)) {
-			return false;
-		}
-
-		// Rename the workspace in the workspace array
-		$this->workspaces[$newWs] = $this->workspaces[$oldWs];
-		unset($this->workspaces[$oldWs]);
-
-		// Rename the workspace in the database
-		$strReq = 'UPDATE '.$this->table.
-			" SET pref_ws = '".$this->con->escape($newWs)."' ".
-			" WHERE pref_ws = '".$this->con->escape($oldWs)."' ";
-		$this->con->execute($strReq);
-		return true;
-	}
-
-	/**
-	Delete a whole workspace with all preferences pertaining to it.
-
-	@param 	ws 	<b>string</b> 	Workspace name
-	@return 	<b>boolean</b>
-	*/
-	public function delWorkspace($ws)
-	{
-		if (!array_key_exists($ws, $this->workspaces)) {
-			return false;
-		}
-
-		// Remove the workspace from the workspace array
-		unset($this->workspaces[$ws]);
-
-		// Delete all preferences from the workspace in the database
-		$strReq = 'DELETE FROM '.$this->table.
-			" WHERE pref_ws = '".$this->con->escape($ws)."' ";
-		$this->con->execute($strReq);
-		return true;
-	}
-	
-	/**
 	Returns full workspace with all prefs pertaining to it.
 	
